> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Shipping Rates

> Admin: all zone rates, grouped by zone then band order.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/shipping/rates
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/shipping/rates:
    get:
      tags:
        - admin:shipping
      summary: List Shipping Rates
      description: 'Admin: all zone rates, grouped by zone then band order.'
      operationId: list_shipping_rates_api_v1_admin_shipping_rates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_ShippingRateOut__'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_ShippingRateOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ShippingRateOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[ShippingRateOut]]
    ShippingRateOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        geo_zone_id:
          type: string
          format: uuid
          title: Geo Zone Id
        geo_zone_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Zone Name
        courier_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Courier Id
        courier_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Courier Name
        name:
          type: string
          title: Name
        rate:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Rate
        min_weight_kg:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Min Weight Kg
        max_weight_kg:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Max Weight Kg
        sort_order:
          type: integer
          title: Sort Order
        is_active:
          type: boolean
          title: Is Active
      type: object
      required:
        - id
        - geo_zone_id
        - courier_id
        - name
        - rate
        - min_weight_kg
        - max_weight_kg
        - sort_order
        - is_active
      title: ShippingRateOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````